\documentclass{summer-mat}
\usepackage{mapm}
\usepackage{amsmath, amssymb}
\usepackage{asymptote}
\usepackage{tikz}
\usepackage{float}

\usepackage{pgffor}

\title{Summer \mapmvar{year} MAT Solutions}

\begin{document}

\maketitle

\section{Answers}

The proposer for each question is indicated next to its answer.

\subsection{Individual Problems}

\begin{enumerate}
    \foreach \n in {1,...,9} {
      \item $\probvar{\n}{answer}$ (\probvar{\n}{author})
    }
\end{enumerate}

\subsection{Tiebreakers}

\begin{enumerate}
    \foreach \n in {10,...,12} {
      \item $\probvar{\n}{answer}$ (\probvar{\n}{author})
    }
\end{enumerate}

\foreach \n in {1,...,9} {
  \part{Problem \n}

  \section{Problem}

  \begin{content}
    \probvar{\n}{problem}
  \end{content}

	\ifnum\solcount{\n}>0\relax
	  \foreach \i in {1,...,\solcount{\n}} {
	    \subsection{Solution (\solvar{\n}{\i}{author})}
	    
	    \begin{content}
	      \solvar{\n}{\i}{text}
	    \end{content}
	  }
	\fi
}

\foreach \n in {10,...,12} {
  \part{Tiebreaker \the\numexpr\n-9\relax}

  \section{Problem}
  
  \begin{content}
    \probvar{\n}{problem}
  \end{content}


	\ifnum\solcount{\n}>0\relax
	  \foreach \i in {1,...,\solcount{\n}} {
	    \subsection{Solution (\solvar{\n}{\i}{author})}
	    
	    \begin{content}
	      \solvar{\n}{\i}{text}
	    \end{content}
	  }
	\fi
}
\end{document}
